| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Macros | Functions
DFU bootloader
Bootloader modules

Bootloader with Device Firmware Update (DFU) functionality. More...

## Modules
| Flash operations
| MBR functions
| Request handling
| DFU settings
| DFU types
| DFU utilities

## Macros
#define | BOOTLOADER_BUTTON (BSP_BUTTON_3)

## Functions
uint32_t | nrf_dfu_init (void)
| Function for initializing a DFU operation. More...
bool | nrf_dfu_enter_check (void)
| Function for checking if DFU mode should be entered. More...
bool | nrf_dfu_check_failsafe_reset (void)
| Function for checking if DFU should be reset (failsafe). More...
void | nrf_dfu_wait (void)
| Function for blocking until an event (i.e. incoming BLE packet) arrives.

## Detailed Description

Bootloader with Device Firmware Update (DFU) functionality.

The DFU bootloader module, in combination with the Bootloader module, can be used to implement a bootloader that supports Device Firmware Updates.

## Macro Definition Documentation

#define BOOTLOADER_BUTTON (BSP_BUTTON_3)

Button for entering DFU mode.

## Function Documentation

bool nrf_dfu_check_failsafe_reset | ( | void |  | ) |

Function for checking if DFU should be reset (failsafe).

This function will check if DFU should be reset (failsafe).

If this returns true, DFU mode will be entered and DFU will be reset.

Return values

  true | If DFU must be reset (failsafe).
  false | If there is no need to reset DFU.

bool nrf_dfu_enter_check | ( | void |  | ) |

Function for checking if DFU mode should be entered.

This function checks whether DFU mode is required.

Return values

  true | If DFU mode must be entered.
  false | If there is no need to enter DFU mode.

uint32_t nrf_dfu_init | ( | void |  | ) |

Function for initializing a DFU operation.

This function initializes a DFU operation and any transports that are registered in the system.

Return values

  NRF_SUCCESS | If the DFU operation was successfully initialized.